%define version 2.14.0
%define release %mkrel 1

%define pkgname	glibmm
%define api_version 2.4
%define major 1
%define libname_orig %mklibname %{pkgname} %{api_version}
%define libname %mklibname %{pkgname} %{api_version} %{major}
%define libnamedev %mklibname -d %{pkgname} %{api_version}
%define libnamestaticdev %mklibname -s -d %{pkgname} %{api_version}

Name:		%{pkgname}%{api_version}
Summary:	C++ interface for glib
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRequires:	glib2-devel >= 2.10
BuildRequires:	libsigc++2.0-devel

%description
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.


%package	-n %{libname}
Summary:	C++ interface for glib
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description	-n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.


%package	-n %{libnamedev}
Summary:	Headers and development files of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %{pkgname} %{api_version} 1

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.


%package	-n %{libnamestaticdev}
Summary:	Static libraries of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libnamedev} = %{version}
Provides:	%{libname_orig}-static-devel = %{version}-%{release}
Obsoletes: %mklibname -s -d %{pkgname} %{api_version} 1

%description	-n %{libnamestaticdev}
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains the static libraries of %{pkgname}.


%package	doc
Summary:	Glibmm documentation
Group:		Books/Other

%description	doc
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains all API documentation for %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# mdk does not have libtool 1.5 yet
%define __libtoolize /bin/true
%configure2_5x --enable-static --enable-shared
%make

# make check does nothing

%install
rm -rf %{buildroot}
%makeinstall_std
find %buildroot -name \*.la|xargs chmod 644

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc COPYING NEWS README
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-, root, root)
%doc AUTHORS CHANGES ChangeLog
%{_includedir}/*
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/glibmm-%{api_version}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

%files -n %{libnamestaticdev}
%defattr(-, root, root)
%{_libdir}/*.a

%files doc
%defattr(-, root, root)
%doc %{_datadir}/doc/glibmm-%{api_version}




%changelog
* Wed Sep 12 2007 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2008.0
+ Revision: 84731
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.13.9-1mdv2008.0
+ Revision: 56508
- new version

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 2.13.8-1mdv2008.0
+ Revision: 50631
- new version

* Sat Jun 30 2007 Götz Waschk <waschk@mandriva.org> 2.13.7-1mdv2008.0
+ Revision: 46033
- new version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.13.6-2mdv2008.0
+ Revision: 41429
- rebuild

* Sun Jun 17 2007 Götz Waschk <waschk@mandriva.org> 2.13.6-1mdv2008.0
+ Revision: 40598
- new version

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdv2008.0
+ Revision: 20386
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 2.13.4-1mdv2008.0
+ Revision: 17810
- new version


* Fri Dec 29 2006 Götz Waschk <waschk@mandriva.org> 2.13.3-1mdv2007.0
+ Revision: 102579
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.13.2-2mdv2007.1
+ Revision: 87922
- bot rebuild
- new version

* Tue Nov 21 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdv2007.1
+ Revision: 85847
- new version
- Import glibmm2.4

* Fri Sep 29 2006 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdv2007.0
- New version 2.12.2

* Sun Sep 24 2006 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdv2007.0
- New version 2.12.1

* Fri Aug 18 2006 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdv2007.0
- New release 2.12.0

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.11.3-1
- New release 2.11.3

* Tue Jul 18 2006 Götz Waschk <waschk@mandriva.org> 2.11.2-1
- New release 2.11.2

* Wed Jun 07 2006 Götz Waschk <waschk@mandriva.org> 2.10.4-1mdk
- New release 2.10.4

* Sat May 20 2006 Götz Waschk <waschk@mandriva.org> 2.10.3-1mdk
- New release 2.10.3

* Sat May 13 2006 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Sat Apr 15 2006 Götz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- New release 2.10.1

* Tue Apr 11 2006 Gtz Waschk <waschk@mandriva.org> 2.10.0-1mdk
- bump deps

* Tue Apr 11 2006 Götz Waschk <waschk@mandriva.org> 2.10.0-1mdk
- New release 2.10.0

* Wed Mar 08 2006 Götz Waschk <waschk@mandriva.org> 2.8.5-1mdk
- New release 2.8.5

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 2.8.4-1mdk
- New release 2.8.4

* Fri Dec 16 2005 Götz Waschk <waschk@mandriva.org> 2.8.3-1mdk
- New release 2.8.3
- use mkrel

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdk
- New release 2.8.2

* Thu Oct 20 2005 Götz Waschk <waschk@mandriva.org> 2.8.1-1mdk
- New release 2.8.1

* Sun Oct 09 2005 Götz Waschk <waschk@mandriva.org> 2.8.0-1mdk
- bump deps
- New release 2.8.0

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix source URL
- New release 2.6.1

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- fix source URL
- New release 2.6.0

* Thu Feb 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.4.7-1mdk
- New release 2.4.7

* Thu Jan 27 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.4.6-1mdk
- New release 2.4.6

* Fri Oct 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.5-1mdk
- fix description
- New release 2.4.5

* Wed Aug 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.4-1mdk
- fix source url
- New release 2.4.4

* Sun Jun 20 2004 Abel Cheung <deaddog@mandrakesoft.com> 2.4.3-1mdk
- New release 2.4.3

* Mon Jun 07 2004 Abel Cheung <deaddog@mandrakesoft.com> 2.4.2-1mdk
- New release 2.4.2

* Wed May 05 2004 Abel Cheung <deaddog@deaddog.org> 2.4.1-1mdk
- New version

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 2.4.0-1mdk
- First Mandrake package

